# ion-nav



<!-- Auto Generated Below -->


## Properties

#### delegate




#### lazy

boolean


#### mode

string


#### root

any


#### routerDelegate




#### swipeBackEnabled

boolean


#### useUrls

boolean


## Attributes

#### delegate




#### lazy

boolean


#### mode

string


#### root

any


#### router-delegate




#### swipe-back-enabled

boolean


#### use-urls

boolean


## Events

#### ionNavChanged


#### navInit


## Methods

#### activateFromTab()


#### canGoBack()


#### first()


#### getActive()


#### getChildNavs()


#### getContentElement()


#### getId()


#### getPrevious()


#### getRouteId()


#### getViews()


#### insert()


#### insertPages()


#### isTransitioning()


#### last()


#### onAllTransitionsComplete()


#### pop()


#### popTo()


#### popToRoot()


#### push()


#### reconcileFromExternalRouter()


#### removeIndex()


#### removeView()


#### setPages()


#### setParent()


#### setRoot()


#### setRouteId()



----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
